Check current user's role
curl --request POST \
--url https://{tenant_id}.hanko.io/organizations/roles/check \
--header 'Content-Type: application/json' \
--cookie hanko= \
--data '
{
"organization_id": "c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c",
"roles": [
"<string>"
]
}
'import requests
url = "https://{tenant_id}.hanko.io/organizations/roles/check"
payload = {
"organization_id": "c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c",
"roles": ["<string>"]
}
headers = {
"cookie": "hanko=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'hanko=', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_id: 'c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c', roles: ['<string>']})
};
fetch('https://{tenant_id}.hanko.io/organizations/roles/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_role": true
}{
"code": 400,
"message": "Bad Request"
}{
"code": 401,
"message": "Unauthorized"
}{
"code": 500,
"message": "Internal Server Error"
}Organization Management
Check current user's role
Checks whether the currently logged-in user (identified by their own session JWT, not a
path param or admin credential) holds at least one of the given roles within an
organization. If the user is not a member of the organization, or the organization does not
exist, the result is simply has_role: false, not an error.
POST
/
organizations
/
roles
/
check
Check current user's role
Authorizations
CookieAuthBearerTokenAuth
Body
application/json
Response
Role check result
Was this page helpful?